import { Feature, ExtendedReport } from 'json-html-reporter-models';
export declare class FileSystemFunctions {
    getFilesAsync: (dir: string) => Promise<string[]>;
    checkFolder: (file: string) => Promise<boolean>;
    readJsonFeatureFile: (file: string, encoding?: string) => Promise<Feature[]>;
    readJsonExtendedReportFile: (file: string, encoding?: string) => Promise<ExtendedReport>;
    parseJsonObject: (jsonObject: string) => Promise<string>;
    readFeatureFile: (file: string, enconding: string) => null | Promise<Feature[]>;
    writeJson: (destinationFile: string, jsonObject: any) => Promise<void>;
    convertJsonObjectToString: (object: Record<string, any>) => Promise<string>;
    saveJsonFile: (file: string, json: Feature[] | ExtendedReport) => Promise<boolean>;
}
